#include <bits/stdc++.h>

using namespace std;

void solve() {
    int n, m; cin >> n >> m;
    int t; cin >> t;
    for (int i = 0; i < m; i++) {
        int u, v; cin >> u >> v;
    }
    cout << n - 1 << '\n';
    cout << n << '\n';
}

int main() {
    //ios::sync_with_stdio(false);
    //cin.tie(nullptr);
    solve();
}
